<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

trait ToggleableTrait
{
    #[ORM\Column(type: 'boolean')]
    private bool $enabled = true;

    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    public function setEnabled(bool $enabled): static
    {
        $this->enabled = $enabled;

        return $this;
    }
}
